Skip to content

Get solution for project
GA

Request

Returns a solution for a project.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

solutionIdstringrequired

The unique ID of the solution.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/solutions/{solutionId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Solution

Bodyapplication/json
idstringread-onlyrequired

The unique ID of the solution

detailsobject(WhatsappSolutionDetailsDto)required

Solution details and information.

assignedbooleanread-onlyrequired

If project has been assigned to this solution.

partnerAppobject(WhatsappSolutionMetaAppDto)read-only

The Meta App of the Tech Provider.

ownerAppobject(WhatsappSolutionMetaAppDto)read-only

The Meta App of the Solution Partner (e.g. Sinch).

Response

Response with assigned solution.

{ "id": "123", "details": { "name": "Test name" }, "ownerApp": { "id": 456, "name": "Test owner app name" }, "partnerApp": { "id": 789, "name": "Test partner app name" }, "assigned": true }
We'd love to hear from you!
Rate this content: